#!/bin/bash

echo Rebuilding WSYS....
"./tool/wsystool" pack "./Audio_Modding/WS0" "./Audio_Modding/include/0.wsy"
"./tool/wsystool" pack "./Audio_Modding/WS1" "./Audio_Modding/include/1.wsy"
"./tool/wsystool" pack "./Audio_Modding/WS2" "./Audio_Modding/include/2.wsy"
"./tool/wsystool" pack "./Audio_Modding/WS3" "./Audio_Modding/include/3.wsy"

echo Applying changes to banks....
cp "./Audio_Modding/include/aw_0.wsy" "./Banks" -rf
cp "./Audio_Modding/include/aw_1.wsy" "./Banks" -rf
cp "./Audio_Modding/include/aw_2.wsy" "./Banks" -rf
cp "./Audio_Modding/include/aw_3.wsy" "./Banks" -rf

echo Applying IBNK changes

echo IBNK0
"./tool/ibnktool" pack 0 "./Audio_Modding/IBNK0" "./Audio_Modding/include/0.bnk"
echo IBNK1
"./tool/ibnktool" pack 0 "./Audio_Modding/IBNK1" "./Audio_Modding/include/1.bnk"
echo IBNK2
"./tool/ibnktool" pack 0 "./Audio_Modding/IBNK2" "./Audio_Modding/include/2.bnk"
echo IBNK3
"./tool/ibnktool" pack 0 "./Audio_Modding/IBNK3" "./Audio_Modding/include/3.bnk"
echo IBNK4
"./tool/ibnktool" pack 0 "./Audio_Modding/IBNK4" "./Audio_Modding/include/4.bnk"
echo IBNK5
"./tool/ibnktool" pack 0 "./Audio_Modding/IBNK5" "./Audio_Modding/include/5.bnk"

echo Packing BST
"./tool/bast" pack "./Audio_Modding/SoundTable/" "./Audio_Modding/include/0.bst" "10110001020304FFFFFFFFFFFFFFFFFFFFFF"

echo Replacing sequences....
"./tool/barctool" pack "./Audio_Modding/Sequences" "./Audio_Modding/include/1.arc" -arc "./Seqs"


echo Rebuilding AAF....
"./tool/jampacked" pack "./Audio_Modding" "./JaiInit.aaf"
echo Done
